UploadWizard broken in Safari 5
Closed, ResolvedPublic

Description

In Safari 5, UploadWizard currently will fail after selecting a file to upload. The console shows the following error message:

TypeError: 'undefined' is not an object (evaluating 'file.size').

This is triggered in line 32 in mw.FormDataTransport.js.


Version: unspecified
Severity: major

bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz37150.
Eloquence created this task.Via LegacyMay 27 2012, 7:57 PM
MarkTraceur added a comment.Via ConduitMay 28 2012, 4:05 PM

I have a hunch that this has to do with the new handling of uploads right away--some of the magic might have created empty Upload objects. I'll make sure we do proper emptying of the bins once we've thrown them out. Funny that no other browsers complained, though!

MarkTraceur added a comment.Via ConduitMay 28 2012, 4:55 PM

Turns out we weren't checking for FileApi functionality in our decision to use one upload handler or the other. This patch ought to do the trick: https://gerrit.wikimedia.org/r/9140

That being said, I haven't tested it, it would be nice to have a labs instance to test these sorts of things....

Eloquence added a comment.Via ConduitMay 28 2012, 9:27 PM

Can you try testing it through BrowserStack or CrossBrowserTesting (either should allow you to set up a tunnel to localhost)?

MarkTraceur added a comment.Via ConduitMay 28 2012, 10:08 PM

I can tomorrow, but my browser at home doesn't like the Java applet for some reason.

kaldari added a comment.Via ConduitMay 28 2012, 10:43 PM

I've confirmed that this fixes the problem and doesn't break existing functionality. I've also reviewed and merged the change in Gerrit.

BTW, we do have virtual machines set up for testing the various versions of Explorer (https://secure.wikimedia.org/wikipedia/office/wiki/VirtualMachines), but we don't have one for Safari (since about half of the developers have it installed locally). I haven't had any trouble personally with BrowserStack in Firefox. Might want to make sure your Java runtime environment is fully up to date.

MarkTraceur added a comment.Via ConduitMay 28 2012, 11:00 PM

Kaldari, thanks for the help! I did apt-get update last night and apt-get install icedtea6-plugin openjdk-6-jre just this morning, so I doubt it's that--maybe I need to upgrade to openjdk-7, but it doesn't appear to be in my repositories. I hardly ever need Java on this machine anyway, so it's no problem. I know it works at the office.

Eloquence added a comment.Via ConduitMay 29 2012, 12:04 AM

Confirmed working on test2; should therefore be fixed on live Commons after the Wednesday deployment.

Although now multi-file select doesn't work in Safari - not sure it ever did. It's such a useful feature that it may be worth the effort of trying to make it work with browsers with partial File API implementations.

kaldari added a comment.Via ConduitMay 29 2012, 6:02 AM

I don't believe multi-file select ever worked in Safari.

MarkTraceur added a comment.Via ConduitMay 29 2012, 4:31 PM

The new checks for multi-file select are actually checking for the requisite technology in the browser, so if UW doesn't let Safari do it anymore, it probably never worked....

Gilles added a project: Multimedia.Via WebDec 4 2014, 10:17 AM
Gilles raised the priority of this task from "High" to "Unbreak Now!".Via WebDec 4 2014, 10:21 AM
Gilles moved this task to Done on the Multimedia workboard.
Gilles lowered the priority of this task from "Unbreak Now!" to "High".Via ConduitDec 4 2014, 11:21 AM

Add Comment